Update DNS Record
curl --request POST \
--url https://api.bunny.net/dnszone/{zoneId}/records/{id} \
--header 'AccessKey: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"Ttl": 123,
"Value": "<string>",
"Name": "<string>",
"Weight": 123,
"Priority": 123,
"Flags": 123,
"Tag": "<string>",
"Port": 123,
"PullZoneId": 123,
"ScriptId": 123,
"Accelerated": true,
"GeolocationLatitude": 123,
"GeolocationLongitude": 123,
"LatencyZone": "<string>",
"Disabled": true,
"EnviromentalVariables": [
{
"Name": "<string>",
"Value": "<string>"
}
],
"Comment": "<string>",
"AutoSslIssuance": true,
"Id": 123
}
'import requests
url = "https://api.bunny.net/dnszone/{zoneId}/records/{id}"
payload = {
"Ttl": 123,
"Value": "<string>",
"Name": "<string>",
"Weight": 123,
"Priority": 123,
"Flags": 123,
"Tag": "<string>",
"Port": 123,
"PullZoneId": 123,
"ScriptId": 123,
"Accelerated": True,
"GeolocationLatitude": 123,
"GeolocationLongitude": 123,
"LatencyZone": "<string>",
"Disabled": True,
"EnviromentalVariables": [
{
"Name": "<string>",
"Value": "<string>"
}
],
"Comment": "<string>",
"AutoSslIssuance": True,
"Id": 123
}
headers = {
"AccessKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {AccessKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
Ttl: 123,
Value: '<string>',
Name: '<string>',
Weight: 123,
Priority: 123,
Flags: 123,
Tag: '<string>',
Port: 123,
PullZoneId: 123,
ScriptId: 123,
Accelerated: true,
GeolocationLatitude: 123,
GeolocationLongitude: 123,
LatencyZone: '<string>',
Disabled: true,
EnviromentalVariables: [{Name: '<string>', Value: '<string>'}],
Comment: '<string>',
AutoSslIssuance: true,
Id: 123
})
};
fetch('https://api.bunny.net/dnszone/{zoneId}/records/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorKey": "<string>",
"Field": "<string>",
"Message": "<string>"
}DNS Zone
Update DNS Record
POST
/
dnszone
/
{zoneId}
/
records
/
{id}
Update DNS Record
Authorizations
API Access Key authorization header
Path Parameters
The DNS Zone ID that contains the record.
The ID of the DNS record that will be updated.
Body
application/json
0 = A 1 = AAAA 2 = CNAME 3 = TXT 4 = MX 5 = Redirect 6 = Flatten 7 = PullZone 8 = SRV 9 = CAA 10 = PTR 11 = Script 12 = NS 13 = SVCB 14 = HTTPS 15 = TLSA
Available options:
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15 0 = None 1 = Ping 2 = Http 3 = Monitor
Available options:
0, 1, 2, 3 0 = None 1 = Latency 2 = Geolocation
Available options:
0, 1, 2 Show child attributes
Show child attributes
Response
The DNS record was successfuly updated.
Last modified on July 9, 2026
Was this page helpful?
⌘I